/*
 * 客服大单流失统计列表
 */
layui.use([ 'element', 'table', 'laydate', 'form' ], function() {
	var $ = layui.jquery;
	var table = layui.table;
	var laydate = layui.laydate;
	var element = layui.element;
	var form = layui.form;

	// 生成表格
	table.render({
		elem 	: '#kefuTable',
		url 	: '../../../getKefuList', 
		toolbar : '#toolbarDemo',
		title 	: '客服大单流失统计',// 导出文件名
		id 		: 'kefuTableAll',
		// 开启分页
		page 	: {
			layout : [ 'count', 'prev', 'page', 'next', 'skip', 'limit' ]
		},
		limits	: [10,30,50,100,999],
		where:{
			proTypeLabel : ''
		},
		cellMinWidth : 80, // 全局定义常规单元格的最小宽度，layui 2.2.1 新增
		cols : [ [ {
			type : 'numbers',
			title : '序号',
			width : 80,
			fixed : "left"
		},{
			field : 'realLabel',
			width : 150,
			align : 'center',
			title : '真实姓名',
		},{
			field : 'shopNameLabel',
			width : 240,
			align : 'center',
			title : '所在店铺',
		},{
			field : 'totalLabel',
			width : 240,
			align : 'center',
			title : '累计单量',
		}] ],
		parseData : function(res) { //将原始数据解析成 table 组件所规定的数据
			return {
				"code" 	: 0, //解析接口状态
				"msg" 	: "", //解析提示文本
				"count"	: res.data.list.total,//解析数据长度
				"data" 	: res.data.list.list//解析数据列表
			};
		}
	});

	//点击查询按钮，重载表格
	$('#searchBtn').on('click', function() {
		table.reload('kefuTableAll', {
			method : 'get',
			where : {
				realLabel : $("#realLabel").val()
			},
			page : {
				curr : 1
			}
		});
		return false;
	});
});
